/*
 * $Id: VKCDocumentStatus.java,v 1.4 2004/05/12 09:45:02 jonyp Exp $
 * 
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 * 
 * $Log: VKCDocumentStatus.java,v $
 * Revision 1.4  2004/05/12 09:45:02  jonyp
 * + icon method
 *
 * Revision 1.3  2004/02/20 16:37:59  bigmac
 * description entfernt
 *
 * Revision 1.2  2004/02/09 15:26:22  jonyp
 * *** empty log message ***
 *
 * Revision 1.1  2004/01/06 16:35:43  vchris
 * Initiale Version
 *
 * 
 * Created on 06.01.2004
 */
package vkc.db.entities;

import vkc.util.StringUtils;

/**
 * Wrapper-Klasse für VKCDOCUMENTSTATI Tabelle
 * 
 * @author vchris
 */
public class VKCDocumentStatus {

	private Integer status = new Integer(0);
	private String descriptionKey = null;
	private String remark = null;
	
	public String getDescriptionKey() {
		return descriptionKey;
	}

	public void setDescriptionKey(String string) {
		descriptionKey = StringUtils.normalize( string );
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String string) {
		remark = StringUtils.normalize( string );
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer integer) {
		status = integer;
	}
	
	public String getStatusIcon() {
		return "";
	}
}
